* Simple.PRG                                                                *
* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.  *

*****************************************************************************
*                                                                           *
* This program is the simplest example of toolkit usage. It is an example   *
* Clipper routine for the PCX Programmer's Toolkit.                         *
*                                                                           *
* NOTE: REQUIRES A CGA (or compatible) ADAPTER AND DISPLAY!                 *
*                                                                           *
*                                                                           *
* Nantucket Clipper                       Programmer: Chris Howard  2/01/89 *
*                                                                           *
*****************************************************************************


* Include the PCX Toolkit defines
SET PROCEDURE TO pcxlib
DO  pcxInit

* Globals
pcximage = "Simple.PCX"
pcxtype  = pcxCGA_4

**********

* Main

  * Display program header
  ?
  ? " Simple Example Clipper PCX Program "
  ?

  * Get a key, to begin
  ? "Press a key to run . . ."
  INKEY(0)

  * Set the display type and mode we will be using
  retcode = pcxSD(pcxtype)

  * Now enter graphics mode
  retcode = pcxSM(pcxGRAPHICS)
  IF (retcode = pcxSUCCESS)

    * Now display the image file
    dispret = pcxFD(pcximage,0,0,0)

    * Wait for a key
    INKEY(0)

    * Return to text mode
    pcxSM(pcxTEXT)

  ENDIF

  * Check if everything went OK
  IF (dispret <> pcxSUCCESS)
    ?
    ? "An error occurred: [",dispret,"]"
    ?
    ? "You may not have a CGA, or the image SIMPLE.PCX may not"
    ? "be in the current directory ..."
    ?
  ENDIF

RETURN && Main

